Bug 218608 - launchmail split from htmlview as its own package
launchmail split from htmlview as its own package
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: htmlview (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
: Desktop, Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-12-06 08:58 EST by Ian Kent
Modified: 2013-04-12 14:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: htmlview-4.0.0-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-08 16:08:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2006-12-06 08:58:05 EST
Description of problem:
Install of RHEL5 Server adds an icon for evolution to the
menu strip but evolution is not included in distribution

How reproducible:
Install RHEL5 Server.

Expected results:
No evolution icon in menu strip.
Comment 1 Ray Strode [halfline] 2006-12-06 10:07:38 EST

*** This bug has been marked as a duplicate of 214879 ***
Comment 2 Ray Strode [halfline] 2006-12-06 10:42:29 EST
Warren, I'm tossing this your way.  Shout if you think that's the wrong thing to do.
Comment 3 Warren Togami 2006-12-06 13:46:18 EST
Own package, I agree is a good idea.  However I don't think mail clients should
require it.

Is moving it to its own package possible for RHEL5 at this point?

Argh!  This reminds me, launchmail's icon definition has regressed.  It should
be labeled "Mail" and not "Evolution", because it really runs an arbitrary mail
client chosen in "Preferred Applications" and not evolution.

I have a list of other bug fixes needed for launchmail... but I just haven't had
a chance to do it yet. =(
Comment 4 Ray Strode [halfline] 2006-12-06 13:58:01 EST
Well the whole point is, you don't add it to comps and rely on the mail clients
to pull it in via dependencies.

If there aren't any mail clients installed then it won't get pulled in and the
TryExec=/usr/bin/launchmail will fail so the icon will get hidden.
Comment 5 Warren Togami 2006-12-06 14:04:00 EST
It can be done simpler than this.

[warren@caprica ~]$ rpm -ql htmlview
[warren@caprica ~]$ ls -l /usr/share/applications/redhat-email.desktop
lrwxrwxrwx 1 root root 52 Nov  9 12:46
/usr/share/applications/redhat-email.desktop ->

Those .desktop files provided in htmlview are only a symlink to the actual
.desktop file from the redhat-menus package.

launchmail (independent package) can own the /usr/bin/launchmail script and this
symlink.  Then comps can refer to htmlview and launchmail as needed... RHEL5
Client but not server for example.

I can split the package and apply other fixes that I wanted in lauchmail.  But
is it still possible to do so for RHEL5 at this late date?
Comment 7 Warren Togami 2006-12-06 15:13:24 EST
1. launchmail becomes its own package containing the script and symlink.
2. Adding launchmail to comps in the appropriate products where a mail client is
Comment 8 RHEL Product and Program Management 2006-12-12 13:40:18 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 9 Zack Cerza 2006-12-13 11:44:53 EST
Does this affect both Client and Server?
Comment 10 Warren Togami 2006-12-13 12:09:29 EST
Client ships with both web browser and e-mail clients.
Server ships with only web browser.

So this is a problem for only Server.  For consistency sake however, it should
be split and comps pulls in where it is needed in the respective products.
Comment 12 Warren Togami 2006-12-13 13:07:33 EST
What other option do we have without splitting it?
Comment 13 Ray Strode [halfline] 2006-12-13 15:20:46 EST
unconditionally install evolution?
Comment 14 Warren Togami 2006-12-13 16:53:51 EST
Remove the Email launcher from the top panel of RHEL5 Server GNOME.  This
launcher currently does nothing.

Implications of Splitting:
htmlview has possible dependencies from existing user profiles (from RHEL3 or
RHEL4) and maybe programs in RHEL5.  But that is OK, because htmlview would
remain in both RHEL5 Server and Client.

htmlview does not require launchmail, and vice versa.

launchmail was used *only* by the .desktop launcher on the default GNOME panel.
 Nothing else pointed at it or required it.

Changes Required
1) Split htmlview into separate htmlview and launchmail packages.
2) RHEL5 Client comps pulls in htmlview and launchmail.
3) RHEL5 Server comps pulls in only htmlview.
Comment 15 Jay Turner 2006-12-13 22:24:00 EST
Good lord this is ugly, but pretty much required, otherwise Server will have a
desktop icon which doesn't work.  QE ack for RHEL5.  Needs to be done as soon as
Comment 16 Warren Togami 2006-12-13 22:33:35 EST
I will get this done before 5PM Thursday, Dec 14th.
Comment 17 Warren Togami 2006-12-14 12:26:34 EST
htmlview-4.0.0-1.el5 is currently building.

launchmail has been checked into /cvs/dist branch devel, needs branching to
RHEL-5.  Please advise?

I am doing a little more testing of both packages now.
Comment 18 Warren Togami 2006-12-14 12:55:29 EST
- launchmail-4.0.0-1.el5 is built.
- included in dist-5E
- comps pulls in launchmail only in RHEL5 Client (dgregor)

Comment 19 Warren Togami 2006-12-14 13:09:59 EST
One possible issue...

Upgrading from RHEL4 to RHEL5.
RHEL4 had only htmlview.
RHEL5 has both htmlview and launchmail.

Will launchmail being in base-x group of comps be enough for an anaconda upgrade
to pull in launchmail for a RHEL5 Client upgrade?
Comment 20 Jeremy Katz 2006-12-14 22:11:51 EST
(In reply to comment #19)
> Will launchmail being in base-x group of comps be enough for an anaconda upgrade
> to pull in launchmail for a RHEL5 Client upgrade?

No.  We don't consider comps for upgrades as it's a bit fuzzy what that even means.

You need to have some package requiring it
Comment 21 Warren Togami 2006-12-15 10:22:04 EST
There is no logical package to require launchmail.  Nothing actually uses
launchmail.  Adding a Requires from anywhere like evolution or thunderbird would
only be a hack.

Is adding a hack acceptable?
Comment 22 Jeremy Katz 2006-12-15 10:26:51 EST
The options are really:
a) add a hack
b) lose the functionality on upgrade.
Comment 23 Warren Togami 2006-12-15 10:29:59 EST
OK, we can add the hack for RHEL5.

But does this not point to a hole in our upgrade functionality?  This is similar
to the scim-qtimm upgrade problem.  Nothing logically required scim-qtimm so it
would not be installed during an upgrade, however the desktop actually did need
it if KDE is installed.
Comment 24 Ray Strode [halfline] 2006-12-15 10:42:53 EST
it's not really a hack, it's what I mentioned here:


Requires: launchmail 

is just another way of saying

Requires: the-panel-launcher-to-notice-me

If you like that better you could add a virtual provides...
Comment 25 Warren Togami 2006-12-15 17:02:13 EST
launchmail is done.

Bug #219883 filed for evolution.
Bug #219884 filed for thunderbird.

Should I go ahead and just rebuild those packages, or should the two respective
maintainers do it?
Comment 26 Christopher Aillon 2006-12-19 14:35:41 EST
Wait... why is this requires in the mailers?  Shouldn't this requires be in
gnome-panel if its just a panel launcher?
Comment 27 Dennis Gregorovic 2006-12-19 15:09:35 EST
evolution and thunderbird have been rebuilt.  moving to MODIFIED

Chris, the requires has to be in the mailers so that the launcher is retained
during an upgrade but is not installed on a clean system with no mailers.
Comment 28 Warren Togami 2006-12-20 17:51:12 EST
Additionally, gnome-panel is on RHEL5 Server but there exists no mail clients there.
Comment 29 Xiaohong Wang 2007-01-02 21:18:14 EST
Verified in a clean RHEL5-Server-20061226.nightly system, there is no both
evolution and thunderbird icon in menu, but in a upgrade system (EL4U4 -> EL5),
there is still thunderbird icon in menu, evolution icon has been moved.

Comment 33 Ray Strode [halfline] 2007-01-05 14:38:33 EST
I'm a bit confused.  We didn't ship a thunderbird icon in the default RHEL4
install did we?

1) is thunderbird *installed* after this upgrade?
2) was this a new user in RHEL4, or one who had explicitly added a thunderbird
icon before doing the upgrade?
Comment 35 Xiaohong Wang 2007-01-07 20:09:54 EST
Hi, Ray
Thunderbird is installed by default in RHEL4U4. I did nothing and just upgraded
the clean RHEL4U4 to RHEL5-Server-20061226.nightly. 
Comment 38 Matthias Clasen 2007-11-08 10:37:04 EST
Ray, it is totally unclear to me what is left to do here. Can you clarify that ?
Comment 39 Ray Strode [halfline] 2007-11-08 10:53:00 EST
Me, too.

Warren what did you end up doing, what's left?
Comment 40 Warren Togami 2007-11-08 11:14:22 EST
I'm confused.  Didn't we split this package in the last minute before 5.0GA?  I
don't know why this bug is still open.

I cannot say for certain however.  I haven't used 5.0 GNOME for a long time.
Comment 41 Warren Togami 2007-11-08 11:15:45 EST
I plan on doing Bug #311401 for 5.2.
Comment 42 Ray Strode [halfline] 2007-11-08 12:41:54 EST
Warren, this bug was yours.  Can you investigate what you did, and if anything
left is needed (adding Requires: launchmail to the mail clients?)
Comment 43 Warren Togami 2007-11-08 14:39:16 EST
Respectfully, I did the desktop team a favor by fixing the original problem here
of splitting the package.  As far as I am concerned, this is fixed.  It would be
desktop team's decision to add requires from other packages or not.  I will not
be touching those other packages.
Comment 44 Ray Strode [halfline] 2007-11-08 15:05:36 EST
well, who does any remaining work is an orthogonal issue.  I'm asking you to
summarize what work is already done, and what work you think needs to be done still.

If you think that you've fixed this issue already, and no more work is needed,
close it.

If you don't know what changes you made, or how much of the problem you
addressed, say so, and we can investigate ourselves.
Comment 45 Warren Togami 2007-11-08 16:08:51 EST
The original problem of installing RHEL5 Server and seeing a non-functional
launcher is supposed to be fixed by what I did prior to 5.0GA.

You may want to test the following:
1) Is it actually fixed?  (No mail launcher icon on panel of fresh install of
5.0 Server)
2) What happens in an upgrade from RHEL4 to RHEL5 server?  Is there anything
that can be done about old launcher icons (probably not).

Note You need to log in before you can comment on or make changes to this bug.